Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jprocessunit.addon.jpd.util
Class TaskEventUtil

    java.lang.Object
      org.jprocessunit.addon.jpd.util.TaskEventUtil

    public class TaskEventUtil

extends java.lang.Object

Field Summary
`static java.lang.String` | `WLI81_COMPLETED_STEP`
`static java.lang.String` | `WLI81_STARTED_STEP`
`static java.lang.String` | `WLI81_TASKPLAN_APPLICATION`
`static java.lang.String` | `WLI81_TASKPLAN_PATH`
`static float` | `WLI81_TASKPLAN_VERSION`
`static java.lang.String` | `WLI81_TASKREQUEST_PROPERTY`
`static java.lang.String` | `WLI81_TASKRESPONSE_PROPERTY`

Constructor Summary
`TaskEventUtil(TargetTaskInfo taskEventInfo)` The wait event is satisfied as soon as a single task matches the query.
`TaskEventUtil(com.bea.wli.worklist.api.TaskSelector taskSelector)` Utility for task events.

Method Summary
`java.lang.String[]` | `getAllTaskIds()` Returns a list of all of the tasks matching this instance's query
`java.lang.String` | `getTaskId()` Returns the one and only task matching this instance's query.
`com.bea.wli.worklist.api.PropertyInstance` | `getTaskProperty(java.lang.String propertyName)` Returns the PropertyInstance associted with the propertyName for the target task's task plan.
`com.bea.wli.worklist.api.TaskQuery` | `getTaskQuery()`
`com.bea.wli.worklist.api.WorklistContext` | `getWorklistContext()`
`void` | `setTaskQuery(com.bea.wli.worklist.api.TaskQuery taskQuery)` The wait event is satisfied as soon as a single task matches the query.
`void` | `setTaskSelector(com.bea.wli.worklist.api.TaskSelector taskSelector)` The wait event is satisfied as soon as a single task matches the selector.
`void` | `setWorklistContext(com.bea.wli.worklist.api.WorklistContext worklistContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WLI81_TASKPLAN_PATH

    public static final java.lang.String WLI81_TASKPLAN_PATH

See Also:
  Constant Field Values

### WLI81_TASKPLAN_VERSION

    public static final float WLI81_TASKPLAN_VERSION

See Also:
  Constant Field Values

### WLI81_TASKPLAN_APPLICATION

    public static final java.lang.String WLI81_TASKPLAN_APPLICATION

See Also:
  Constant Field Values

### WLI81_COMPLETED_STEP

    public static final java.lang.String WLI81_COMPLETED_STEP

See Also:
  Constant Field Values

### WLI81_STARTED_STEP

    public static final java.lang.String WLI81_STARTED_STEP

See Also:
  Constant Field Values

### WLI81_TASKRESPONSE_PROPERTY

    public static final java.lang.String WLI81_TASKRESPONSE_PROPERTY

See Also:
  Constant Field Values

### WLI81_TASKREQUEST_PROPERTY

    public static final java.lang.String WLI81_TASKREQUEST_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### TaskEventUtil

    public TaskEventUtil(com.bea.wli.worklist.api.TaskSelector taskSelector)

  Utility for task events. This constructor uses the 8.1 task plan by default.

  Parameters:
    `taskSelector` - task selector identifying a single target task

### TaskEventUtil

    public TaskEventUtil(TargetTaskInfo taskEventInfo)

  The wait event is satisfied as soon as a single task matches the query.

  Parameters:
    `taskQuery` - task query matching a single target task
    `taskPlanPath` - the path of the task plan for the targeted task *
    `taskPlanVersion` - the version of the task plan for the targeted task
    `applicationName` - name of the application containing the targeted task plan

Method Detail

### setTaskSelector

    public void setTaskSelector(com.bea.wli.worklist.api.TaskSelector taskSelector)

  The wait event is satisfied as soon as a single task matches the selector.

  Parameters:
    `taskSelector` - task selector identifying a single target task

### setTaskQuery

    public void setTaskQuery(com.bea.wli.worklist.api.TaskQuery taskQuery)

  The wait event is satisfied as soon as a single task matches the query.

  Parameters:
    `taskQuery` -

### getTaskProperty

    public com.bea.wli.worklist.api.PropertyInstance getTaskProperty(java.lang.String propertyName)

  Returns the PropertyInstance associted with the propertyName for the target task's task plan.

  Parameters:
    `Name` - of target property

### getTaskId

    public java.lang.String getTaskId()

  Returns the one and only task matching this instance's query. If no such task exist then the test is considered a failure.

### getAllTaskIds

    public java.lang.String[] getAllTaskIds()

  Returns a list of all of the tasks matching this instance's query

### getTaskQuery

    public com.bea.wli.worklist.api.TaskQuery getTaskQuery()

### getWorklistContext

    public com.bea.wli.worklist.api.WorklistContext getWorklistContext()

### setWorklistContext

    public void setWorklistContext(com.bea.wli.worklist.api.WorklistContext worklistContext)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JProcessUnit API